<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Llamosi2016/Model/AMICIModel/Llamosi2016_log_syms.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_14cef3b922ba0db668f51262197138d9.html">Llamosi2016</a></li><li class="navelem"><a class="el" href="../../dir_b568ff35628e6f9749400d8da614780c.html">Model</a></li><li class="navelem"><a class="el" href="../../dir_c41e53e58e92f169334ed068ac49ff71.html">AMICIModel</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Llamosi2016_log_syms.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../dd/db8/_llamosi2016__log__syms_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="../../dd/db8/_llamosi2016__log__syms_8m.html#ae6e56ce97e1dc3e023e666c3d8371b60">    1</a></span>&#160;<span class="keyword">function</span> [model] = <a class="code" href="../../dd/db8/_llamosi2016__log__syms_8m.html#ae6e56ce97e1dc3e023e666c3d8371b60">Llamosi2016_log_syms</a>()</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;% </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;%model.param = <span class="stringliteral">&#39;log&#39;</span>;</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;% create state syms</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;syms m pr inp</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;%% PARAMETERS ( <span class="keywordflow">for</span> these sensitivities will be computed )</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;% create parameter syms</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;syms k_m g_m g_p k_p tau u_c t_in  m0 p0 inp0</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;x=[m pr inp];</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;% CONSTANTS</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;k=[m0, p0, inp0, t_in, k_m,tau];</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;% create parameter vector </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;p = [k_p,g_m, g_p];</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;% create symbolic variable <span class="keywordflow">for</span> t</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;syms t</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;%% SYSTEM EQUATIONS</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;xdot = sym(zeros(size(x)));</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;%% INITIAL CONDITIONS</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;u_c=((0.5*tanh(100.0*t_in - 100.0*t + 300.0) + 0.5)*(t_in - 1.0*t + 2.0) + (0.5*tanh(100.0*t_in - 100.0*t + 300.0) - 0.5)*(0.5*tanh(100.0*t_in - 100.0*t + 1000.0) - 1.0*(0.5*tanh(100.0*t_in - 100.0*t + 1400.0) + 0.5)*(0.5*tanh(100.0*t_in - 100.0*t + 1000.0) - 0.5)*(0.25*t_in - 0.25*t + 3.5) + 0.5))*(0.5*tanh(100.0*t_in - 100.0*t + 200.0) - 0.5);</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;%% SYSTEM EQUATIONS</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;xdot(1)=k_m*inp - g_m*m ;   %mRNA</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;xdot(2)=k_p*m - g_p*pr;    %Protein</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;xdot(3)=0.3968*u_c - 0.9225*inp;  %Actual input</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;%% OBSERVABLES</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;y = sym(zeros(2,1));</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;y(1)= exp(-g_p*tau)*pr;% W</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;y(2)= u_c;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;%% SYSTEM STRUCT</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;model.sym.x = x;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;model.sym.xdot = xdot;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;model.sym.p = p;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;model.sym.x0 = [m0,p0,inp0];</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;model.sym.y = y;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;model.sym.k=k;</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_llamosi2016__log__syms_8m_html_ae6e56ce97e1dc3e023e666c3d8371b60"><div class="ttname"><a href="../../dd/db8/_llamosi2016__log__syms_8m.html#ae6e56ce97e1dc3e023e666c3d8371b60">Llamosi2016_log_syms</a></div><div class="ttdeci">function Llamosi2016_log_syms()</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
